//! All kinds of play object

use serde::{Deserialize, Serialize};
use time::OffsetDateTime;

use crate::{Context, FullTrack};

/// Playing history object
#[derive(Clone, Debug, Serialize, Deserialize, PartialEq, Eq)]
pub struct PlayHistory {
    pub track: FullTrack,
    #[serde(with = "time::serde::iso8601")]
    pub played_at: OffsetDateTime,
    pub context: Option<Context>,
}
